{% extends 'Admin/admin.html.twig' %}

{% block extraTitle %} - Gestion des Généraux{% endblock %}

{% block javascripts %}
    <script type="text/javascript" src="{{ asset('js/admin/GeneralListActions.js') }}"></script>
{% endblock %}

{% block adminContent %}
    <div class="scrollable border">
        <table id="adminTable">
            <thead>
            <tr>
                <th>Nom</th>
                <th>Propriétaire</th>
                <th>Monde</th>
                <th>Emplacement</th>
                <th>Action en cours</th>
                {# <th>Report count</th> #}
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for general in generals %}
                <tr>
                    <td>
                        {{ general.name }}
                    </td>
                    <td>
                        <a href="/user/{{ general.owner.user.id }}">{{ general.owner.user.displayName }}</a>
                    </td>
                    <td>
                        {{ general.owner.worldMap.name }}
                    </td>
                    <td>
                        <a href="{{ path('app_map_focusGeneral', {'generalId': general.id, 'worldId': general.owner.worldMap.id }) }}">
                            {{ general.location.name }}
                        </a>
                    </td>
                    <td>
                        {% if general.battle != null %}
                            <a href="{{ path('app_battle_battleindex', {'id': general.battle.id} ) }}">
                                en guerre
                            </a>
                        {% elseif general.movementOrder != null %}
                            en déplacement
                        {% elseif general.fortifying %}
                            fortifie le lieu
                        {% else %}
                            ...
                        {% endif %}
                    </td>
                    {# <td>0</td> #}
                    <td>
                        <a style="cursor: pointer" onclick="renameGeneral({{ general.id }})" onmouseover="showHintMsg(this,'Renommer')" onmouseout="hideHint()">💬</a>
                        {#
                        |
                        <a style="cursor: pointer" onclick="resetGeneral({{ general.id }})" onmouseover="showHintMsg(this,'Débloquer')" onmouseout="hideHint()">🛠️</a>
                        #}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <p style="text-align: right">Nombre de généraux(s) : {{ generals | length }}</p>
{% endblock %}